#include <bits/stdc++.h>
using namespace std;
long long n;
int s=0;
long long const maxn = 100000;

struct Point
{
    int x;
    int y;
};

int dist[20000][20000];
Point points[maxn];

void solve()
{
    for(int i=1;i<=n;i++)
    {
        for(int j = 1;j<=i;j++)
        {
            if(i!=j)
                dist[abs(points[i].x - points[j].x)][abs(points[i].y - points[j].y)]++;
        }
    }
    for(int i = 0;i<=n;i++)
    {
        for(int j = 0;j<=n;j++)
        {
            if(dist[i][j]!=0)
                s+=dist[i][j]*(i*i+j*j);
        }
    }
}

int main()
{
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        cin>>points[i].x>>points[i].y;
    }
    solve();
    cout<<s;
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
}

